Docjar: A Java Source and Docuemnt Enginecom.*    java.*    javax.*    org.*    all    new    plug-in

Quick Search    Search Deep
A C D E G I M N O P R S V

A

addItem(MenuItemImpl) - Method in class org.roller.presentation.tags.menu.MenuImpl
Add MenuItemImpl to MenuImpl
addMenu(Menu) - Method in class org.roller.presentation.tags.menu.RollerMenuModel
 

C

createParams(HttpServletRequest) - Static method in class org.roller.presentation.tags.menu.RollerMenuModel
Create params based on incoming request

D

doEndTag(PrintWriter) - Method in class org.roller.presentation.tags.menu.EditorNavigationBarTag
 
doStartTag(PrintWriter) - Method in class org.roller.presentation.tags.menu.NavigationBarTag
Process start tag

E

EditorNavigationBarTag - class org.roller.presentation.tags.menu.EditorNavigationBarTag.
Draws the most complete possible Roller navigation bar based on request parameters userName, folderId and authenticated user (if there is one).
EditorNavigationBarTag() - Constructor for class org.roller.presentation.tags.menu.EditorNavigationBarTag
 

G

getDelimiter() - Method in class org.roller.presentation.tags.menu.NavigationBarTag
 
getForward() - Method in class org.roller.presentation.tags.menu.MenuItemImpl
Struts forward
getId() - Method in class org.roller.presentation.tags.menu.MenuTag
Unique ID for this menu within the user's session.
getMenuId() - Method in class org.roller.presentation.tags.menu.MenuImpl
Parent menu's ID
getMenuId() - Method in class org.roller.presentation.tags.menu.MenuItemImpl
Parent menu's ID
getMenuItems() - Method in interface org.roller.presentation.tags.menu.Menu
Collection of MenuItem objects contained in this menu
getMenuItems() - Method in class org.roller.presentation.tags.menu.MenuImpl
Collection of MenuItemImpl objects
getMenus() - Method in interface org.roller.presentation.tags.menu.MenuModel
Collection of Menu objects contained in this menu model
getMenus() - Method in class org.roller.presentation.tags.menu.RollerMenuModel
 
getModel() - Method in class org.roller.presentation.tags.menu.MenuTag
Name of the model to be used.
getName() - Method in interface org.roller.presentation.tags.menu.Menu
Name of Menu
getName() - Method in class org.roller.presentation.tags.menu.MenuImpl
Name of menu
getName() - Method in interface org.roller.presentation.tags.menu.MenuItem
Name of menu
getName() - Method in class org.roller.presentation.tags.menu.MenuItemImpl
Name of menu
getSelectedMenu(HttpServletRequest) - Method in interface org.roller.presentation.tags.menu.MenuModel
Return menu selected by current request or first menu.
getSelectedMenu(HttpServletRequest) - Method in class org.roller.presentation.tags.menu.RollerMenuModel
 
getSelectedMenuItem(HttpServletRequest) - Method in interface org.roller.presentation.tags.menu.Menu
Get currently selected menu item in this menu
getSelectedMenuItem(HttpServletRequest) - Method in class org.roller.presentation.tags.menu.MenuImpl
Get currently selected menu item in this menu
getSelectedMenuItem(HttpServletRequest, boolean) - Method in class org.roller.presentation.tags.menu.MenuImpl
Get currently selected menu item in this menu
getTemplateClasspath() - Method in class org.roller.presentation.tags.menu.MenuTag
 
getUrl(PageContext) - Method in interface org.roller.presentation.tags.menu.Menu
Url to be displayed in menu
getUrl(PageContext) - Method in class org.roller.presentation.tags.menu.MenuImpl
Name of Struts forward menu item should link to
getUrl(PageContext) - Method in interface org.roller.presentation.tags.menu.MenuItem
Url to be displayed in menu
getUrl(PageContext) - Method in class org.roller.presentation.tags.menu.MenuItemImpl
Name of Struts forward menu item should link to
getVertical() - Method in class org.roller.presentation.tags.menu.NavigationBarTag
 
getView() - Method in class org.roller.presentation.tags.menu.MenuTag
Name of the view to be used to render the menu.

I

isDefault() - Method in interface org.roller.presentation.tags.menu.Menu
Determine if this is the default menu item with it's menu
isDefault() - Method in class org.roller.presentation.tags.menu.MenuImpl
Is this the default menu?
isDefault() - Method in interface org.roller.presentation.tags.menu.MenuItem
Determine if this is the default menu item with it's menu
isDefault() - Method in class org.roller.presentation.tags.menu.MenuItemImpl
Is this the default menu?
isSelected(HttpServletRequest) - Method in interface org.roller.presentation.tags.menu.Menu
Determine if this menu is selected based on request
isSelected(HttpServletRequest) - Method in class org.roller.presentation.tags.menu.MenuImpl
Is this menu selected?
isSelected(HttpServletRequest) - Method in interface org.roller.presentation.tags.menu.MenuItem
Determine if this menu item is selected based on request
isSelected(HttpServletRequest) - Method in class org.roller.presentation.tags.menu.MenuItemImpl
Given a request, tells if menu item is selected

M

MENU_ITEM_KEY - Static variable in class org.roller.presentation.tags.menu.RollerMenuModel
Key used to store selected menu item in request
MENU_KEY - Static variable in class org.roller.presentation.tags.menu.RollerMenuModel
Key used to store selected menu in request
Menu - interface org.roller.presentation.tags.menu.Menu.
An individual menu which contains MenuItems
MenuImpl - class org.roller.presentation.tags.menu.MenuImpl.
MenuImpl model has collection of menus
MenuImpl() - Constructor for class org.roller.presentation.tags.menu.MenuImpl
 
MenuImpl(String) - Constructor for class org.roller.presentation.tags.menu.MenuImpl
Construct with name
MenuItem - interface org.roller.presentation.tags.menu.MenuItem.
An individual menu item, contained in a Menu
MenuItemImpl - class org.roller.presentation.tags.menu.MenuItemImpl.
MenuImpls has collection of menu items.
MenuItemImpl() - Constructor for class org.roller.presentation.tags.menu.MenuItemImpl
 
MenuItemImpl(String, String) - Constructor for class org.roller.presentation.tags.menu.MenuItemImpl
Construct with name and Struts forward
MenuModel - interface org.roller.presentation.tags.menu.MenuModel.
Menu model contains Menus
MenuTag - class org.roller.presentation.tags.menu.MenuTag.
 
MenuTag() - Constructor for class org.roller.presentation.tags.menu.MenuTag
 
mDefault - Variable in class org.roller.presentation.tags.menu.MenuImpl
Is this the default menu?
mDefault - Variable in class org.roller.presentation.tags.menu.MenuItemImpl
Is this the default menu?
mDelimiter - Variable in class org.roller.presentation.tags.menu.NavigationBarTag
 
mForward - Variable in class org.roller.presentation.tags.menu.MenuItemImpl
Name of Struts forward
mLogger - Static variable in class org.roller.presentation.tags.menu.EditorNavigationBarTag
 
mLogger - Static variable in class org.roller.presentation.tags.menu.NavigationBarTag
 
mLogger - Static variable in class org.roller.presentation.tags.menu.RollerMenuModel
 
mMenuId - Variable in class org.roller.presentation.tags.menu.MenuImpl
 
mMenuId - Variable in class org.roller.presentation.tags.menu.MenuItemImpl
 
mMenuId - Variable in class org.roller.presentation.tags.menu.MenuTag
 
mMenuId - Variable in class org.roller.presentation.tags.menu.RollerMenuModel
 
mMenuItems - Variable in class org.roller.presentation.tags.menu.MenuImpl
Vector of MenuItemImpl objects
mMenus - Variable in class org.roller.presentation.tags.menu.RollerMenuModel
Vector of MenuImpl objects
mModel - Variable in class org.roller.presentation.tags.menu.MenuTag
 
mName - Variable in class org.roller.presentation.tags.menu.MenuImpl
Name of menu
mName - Variable in class org.roller.presentation.tags.menu.MenuItemImpl
Name of menu item
mVertical - Variable in class org.roller.presentation.tags.menu.NavigationBarTag
 
mView - Variable in class org.roller.presentation.tags.menu.MenuTag
 

N

NavigationBarTag - class org.roller.presentation.tags.menu.NavigationBarTag.
Draws the most complete possible Roller navigation bar based on request parameters userName, folderId and authenticated user (if there is one).
NavigationBarTag() - Constructor for class org.roller.presentation.tags.menu.NavigationBarTag
 

O

org.roller.presentation.tags.menu - package org.roller.presentation.tags.menu
General purposes Roller JSP tags.

P

prepareContext(VelocityContext) - Method in class org.roller.presentation.tags.menu.MenuTag
 

R

RollerMenuModel - class org.roller.presentation.tags.menu.RollerMenuModel.
 
RollerMenuModel(String, String, ServletContext) - Constructor for class org.roller.presentation.tags.menu.RollerMenuModel
Construct menu model based on hardcoded menu data

S

setDefault(boolean) - Method in class org.roller.presentation.tags.menu.MenuImpl
Is this the default menu?
setDefault(boolean) - Method in class org.roller.presentation.tags.menu.MenuItemImpl
Is this the default menu?
setDelimiter(String) - Method in class org.roller.presentation.tags.menu.NavigationBarTag
 
setForward(String) - Method in class org.roller.presentation.tags.menu.MenuItemImpl
Struts forward
setId(String) - Method in class org.roller.presentation.tags.menu.MenuTag
 
setMenuId(String) - Method in class org.roller.presentation.tags.menu.MenuImpl
Parent menu's ID
setMenuId(String) - Method in class org.roller.presentation.tags.menu.MenuItemImpl
Parent menu's ID
setModel(String) - Method in class org.roller.presentation.tags.menu.MenuTag
 
setName(String) - Method in class org.roller.presentation.tags.menu.MenuImpl
Name of menu
setName(String) - Method in class org.roller.presentation.tags.menu.MenuItemImpl
Name of menu
setVertical(boolean) - Method in class org.roller.presentation.tags.menu.NavigationBarTag
 
setView(String) - Method in class org.roller.presentation.tags.menu.MenuTag
 

V

view() - Method in class org.roller.presentation.tags.menu.EditorNavigationBarTag
 
view(boolean) - Method in class org.roller.presentation.tags.menu.NavigationBarTag
 

A C D E G I M N O P R S V